List placements
curl --request GET \
--url https://api.gospott.com/placements \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gospott.com/placements"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gospott.com/placements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"templateId": "<string>",
"type": "CONTINGENT",
"placedByUser": {
"id": "<string>",
"name": "<string>",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
},
"placedAt": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"fee": {
"id": "<string>",
"net": {
"amount": 10000,
"currency": "EUR"
},
"splits": [
{
"user": {
"id": "<string>",
"name": "<string>",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
},
"percentage": 0.5
}
],
"details": {}
},
"extensionOf": {
"id": "<string>"
},
"applicationId": "<string>",
"candidate": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"middleName": "<string>",
"secondLastName": "<string>",
"avatarUrl": "<string>"
},
"company": {
"id": "<string>",
"name": "<string>",
"logoCdnUrl": "<string>"
},
"vacancy": {
"id": "<string>",
"name": "<string>"
}
}
],
"pagination": {
"totalItems": 123,
"page": 123,
"hasNextPage": true
}
}{
"status": 0,
"message": "Invalid filter format",
"requestId": "<string>",
"statusCode": 400,
"error": "Bad Request"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Placements
List placements
Returns a list of placements. Supports pagination, filtering by company, sort options, and applied filters. Returns candidate, company, job, fee, and placement metadata.
GET
/
placements
List placements
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Query Parameters
Required range:
0 <= x <= 10000Required range:
1 <= x <= 100modifiedSince
Option 1 · string<date-time>Option 2 · string<date-time>
default:1970-01-01T00:00:00.000Z
Filter placements modified on or after this date.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Example:
"2024-01-01T00:00:00.000Z"
Filter placements modified on or before this date.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Example:
"2024-01-31T23:59:59.999Z"
Was this page helpful?